ClientNamenodeProtocolServerSideTranslatorPB (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocolPB, class: ClientNamenodeProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.protocolPB

# Class ClientNamenodeProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.protocolPB.ClientNamenodeProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`, `org.apache.hadoop.hdfs.protocolPB.ClientNamenodeProtocolPB`

@Private @Stable public class ClientNamenodeProtocolServerSideTranslatorPB extends Object implements org.apache.hadoop.hdfs.protocolPB.ClientNamenodeProtocolPB
This class is used on the server side. Calls come across the wire for the for protocol `ClientNamenodeProtocolPB`. This class translates the PB data types to the native data types used inside the NN as specified in the generic ClientProtocol.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AbandonBlockResponseProto`
  `VOID_ADD_BLOCK_RESPONSE`
  `protected static final org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto`
  `VOID_CANCELDELEGATIONTOKEN_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CheckAccessResponseProto`
  `VOID_CHECKACCESS_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ConcatResponseProto`
  `VOID_CONCAT_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateResponseProto`
  `VOID_CREATE_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSymlinkResponseProto`
  `VOID_CREATESYMLINK_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FinalizeUpgradeResponseProto`
  `VOID_FINALIZEUPGRADE_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FsyncResponseProto`
  `VOID_FSYNC_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBatchedListingResponseProto`
  `VOID_GETBATCHEDLISTING_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileInfoResponseProto`
  `VOID_GETFILEINFO_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileLinkInfoResponseProto`
  `VOID_GETFILELINKINFO_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetListingResponseProto`
  `VOID_GETLISTING_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLocatedFileInfoResponseProto`
  `VOID_GETLOCATEDFILEINFO_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MetaSaveResponseProto`
  `VOID_METASAVE_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.ModifyAclEntriesResponseProto`
  `VOID_MODIFYACLENTRIES_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RefreshNodesResponseProto`
  `VOID_REFRESHNODES_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclResponseProto`
  `VOID_REMOVEACL_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclEntriesResponseProto`
  `VOID_REMOVEACLENTRIES_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveDefaultAclResponseProto`
  `VOID_REMOVEDEFAULTACL_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.RemoveXAttrResponseProto`
  `VOID_REMOVEXATTR_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.Rename2ResponseProto`
  `VOID_RENAME2_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenewLeaseResponseProto`
  `VOID_RENEWLEASE_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ReportBadBlocksResponseProto`
  `VOID_REP_BAD_BLOCK_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SatisfyStoragePolicyResponseProto`
  `VOID_SATISFYSTORAGEPOLICY_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetOwnerResponseProto`
  `VOID_SET_OWNER_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetPermissionResponseProto`
  `VOID_SET_PERM_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.SetAclResponseProto`
  `VOID_SETACL_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetBalancerBandwidthResponseProto`
  `VOID_SETBALANCERBANDWIDTH_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetQuotaResponseProto`
  `VOID_SETQUOTA_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetTimesResponseProto`
  `VOID_SETTIMES_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.SetXAttrResponseProto`
  `VOID_SETXATTR_RESPONSE`
  `protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdatePipelineResponseProto`
  `VOID_UPDATEPIPELINE_RESPONSE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientNamenodeProtocolServerSideTranslatorPB(org.apache.hadoop.hdfs.protocol.ClientProtocol server)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AbandonBlockResponseProto`
  `abandonBlock(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AbandonBlockRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddBlockResponseProto`
  `addBlock(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddBlockRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCacheDirectiveResponseProto`
  `addCacheDirective(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCacheDirectiveRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCachePoolResponseProto`
  `addCachePool(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCachePoolRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.AddErasureCodingPoliciesResponseProto`
  `addErasureCodingPolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.AddErasureCodingPoliciesRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AllowSnapshotResponseProto`
  `allowSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AllowSnapshotRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AppendResponseProto`
  `append(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AppendRequestProto req)`
  `org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto`
  `cancelDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CheckAccessResponseProto`
  `checkAccess(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CheckAccessRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CompleteResponseProto`
  `complete(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CompleteRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ConcatResponseProto`
  `concat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ConcatRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateResponseProto`
  `create(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.CreateEncryptionZoneResponseProto`
  `createEncryptionZone(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.CreateEncryptionZoneRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSnapshotResponseProto`
  `createSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSnapshotRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSymlinkResponseProto`
  `createSymlink(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSymlinkRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteResponseProto`
  `delete(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteSnapshotResponseProto`
  `deleteSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteSnapshotRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.DisableErasureCodingPolicyResponseProto`
  `disableErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.DisableErasureCodingPolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DisallowSnapshotResponseProto`
  `disallowSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DisallowSnapshotRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.EnableErasureCodingPolicyResponseProto`
  `enableErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.EnableErasureCodingPolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FinalizeUpgradeResponseProto`
  `finalizeUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FinalizeUpgradeRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FsyncResponseProto`
  `fsync(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FsyncRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.AclProtos.GetAclStatusResponseProto`
  `getAclStatus(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.GetAclStatusRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetAdditionalDatanodeResponseProto`
  `getAdditionalDatanode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetAdditionalDatanodeRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBatchedListingResponseProto`
  `getBatchedListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBatchedListingRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBlockLocationsResponseProto`
  `getBlockLocations(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBlockLocationsRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetContentSummaryResponseProto`
  `getContentSummary(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetContentSummaryRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetCurrentEditLogTxidResponseProto`
  `getCurrentEditLogTxid(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetCurrentEditLogTxidRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDataEncryptionKeyResponseProto`
  `getDataEncryptionKey(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDataEncryptionKeyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeReportResponseProto`
  `getDatanodeReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeReportRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeStorageReportResponseProto`
  `getDatanodeStorageReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeStorageReportRequestProto req)`
  `org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenResponseProto`
  `getDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetECTopologyResultForPoliciesResponseProto`
  `getECTopologyResultForPolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetECTopologyResultForPoliciesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEditsFromTxidResponseProto`
  `getEditsFromTxid(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEditsFromTxidRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEnclosingRootResponseProto`
  `getEnclosingRoot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEnclosingRootRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingCodecsResponseProto`
  `getErasureCodingCodecs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingCodecsRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPoliciesResponseProto`
  `getErasureCodingPolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPoliciesRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPolicyResponseProto`
  `getErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.GetEZForPathResponseProto`
  `getEZForPath(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.GetEZForPathRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileInfoResponseProto`
  `getFileInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileInfoRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileLinkInfoResponseProto`
  `getFileLinkInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileLinkInfoRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsECBlockGroupStatsResponseProto`
  `getFsECBlockGroupStats(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsECBlockGroupStatsRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsReplicatedBlockStatsResponseProto`
  `getFsReplicatedBlockStats(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsReplicatedBlockStatsRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsStatsResponseProto`
  `getFsStats(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsStatusRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.HAServiceStateResponseProto`
  `getHAServiceState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.HAServiceStateRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLinkTargetResponseProto`
  `getLinkTarget(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLinkTargetRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetListingResponseProto`
  `getListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetListingRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLocatedFileInfoResponseProto`
  `getLocatedFileInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLocatedFileInfoRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetPreferredBlockSizeResponseProto`
  `getPreferredBlockSize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetPreferredBlockSizeRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetQuotaUsageResponseProto`
  `getQuotaUsage(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetQuotaUsageRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetServerDefaultsResponseProto`
  `getServerDefaults(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetServerDefaultsRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSlowDatanodeReportResponseProto`
  `getSlowDatanodeReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSlowDatanodeReportRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportResponseProto`
  `getSnapshotDiffReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportListingResponseProto`
  `getSnapshotDiffReportListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportListingRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotListingResponseProto`
  `getSnapshotListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotListingRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshottableDirListingResponseProto`
  `getSnapshottableDirListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshottableDirListingRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePoliciesResponseProto`
  `getStoragePolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePoliciesRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePolicyResponseProto`
  `getStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.GetXAttrsResponseProto`
  `getXAttrs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.GetXAttrsRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.IsFileClosedResponseProto`
  `isFileClosed(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.IsFileClosedRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCacheDirectivesResponseProto`
  `listCacheDirectives(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCacheDirectivesRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCachePoolsResponseProto`
  `listCachePools(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCachePoolsRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCorruptFileBlocksResponseProto`
  `listCorruptFileBlocks(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCorruptFileBlocksRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListEncryptionZonesResponseProto`
  `listEncryptionZones(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListEncryptionZonesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListOpenFilesResponseProto`
  `listOpenFiles(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListOpenFilesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListReencryptionStatusResponseProto`
  `listReencryptionStatus(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListReencryptionStatusRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.ListXAttrsResponseProto`
  `listXAttrs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.ListXAttrsRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MetaSaveResponseProto`
  `metaSave(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MetaSaveRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MkdirsResponseProto`
  `mkdirs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MkdirsRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.AclProtos.ModifyAclEntriesResponseProto`
  `modifyAclEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.ModifyAclEntriesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCacheDirectiveResponseProto`
  `modifyCacheDirective(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCacheDirectiveRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCachePoolResponseProto`
  `modifyCachePool(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCachePoolRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MsyncResponseProto`
  `msync(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MsyncRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RecoverLeaseResponseProto`
  `recoverLease(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RecoverLeaseRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ReencryptEncryptionZoneResponseProto`
  `reencryptEncryptionZone(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ReencryptEncryptionZoneRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RefreshNodesResponseProto`
  `refreshNodes(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RefreshNodesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclResponseProto`
  `removeAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclEntriesResponseProto`
  `removeAclEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclEntriesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCacheDirectiveResponseProto`
  `removeCacheDirective(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCacheDirectiveRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCachePoolResponseProto`
  `removeCachePool(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCachePoolRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveDefaultAclResponseProto`
  `removeDefaultAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveDefaultAclRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.RemoveErasureCodingPolicyResponseProto`
  `removeErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.RemoveErasureCodingPolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.RemoveXAttrResponseProto`
  `removeXAttr(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.RemoveXAttrRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameResponseProto`
  `rename(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.Rename2ResponseProto`
  `rename2(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.Rename2RequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameSnapshotResponseProto`
  `renameSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameSnapshotRequestProto request)`
  `org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto`
  `renewDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenewLeaseResponseProto`
  `renewLease(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenewLeaseRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ReportBadBlocksResponseProto`
  `reportBadBlocks(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ReportBadBlocksRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RestoreFailedStorageResponseProto`
  `restoreFailedStorage(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RestoreFailedStorageRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollEditsResponseProto`
  `rollEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollEditsRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollingUpgradeResponseProto`
  `rollingUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollingUpgradeRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SatisfyStoragePolicyResponseProto`
  `satisfyStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SatisfyStoragePolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SaveNamespaceResponseProto`
  `saveNamespace(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SaveNamespaceRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.AclProtos.SetAclResponseProto`
  `setAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.SetAclRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetBalancerBandwidthResponseProto`
  `setBalancerBandwidth(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetBalancerBandwidthRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.SetErasureCodingPolicyResponseProto`
  `setErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.SetErasureCodingPolicyRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetOwnerResponseProto`
  `setOwner(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetOwnerRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetPermissionResponseProto`
  `setPermission(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetPermissionRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetQuotaResponseProto`
  `setQuota(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetQuotaRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetReplicationResponseProto`
  `setReplication(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetReplicationRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetSafeModeResponseProto`
  `setSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetSafeModeRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetStoragePolicyResponseProto`
  `setStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetStoragePolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetTimesResponseProto`
  `setTimes(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetTimesRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.SetXAttrResponseProto`
  `setXAttr(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.SetXAttrRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.TruncateResponseProto`
  `truncate(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.TruncateRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.UnsetErasureCodingPolicyResponseProto`
  `unsetErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.UnsetErasureCodingPolicyRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UnsetStoragePolicyResponseProto`
  `unsetStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UnsetStoragePolicyRequestProto request)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdateBlockForPipelineResponseProto`
  `updateBlockForPipeline(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdateBlockForPipelineRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdatePipelineResponseProto`
  `updatePipeline(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdatePipelineRequestProto req)`
  `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpgradeStatusResponseProto`
  `upgradeStatus(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpgradeStatusRequestProto req)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VOID_CREATE_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateResponseProto VOID_CREATE_RESPONSE

  - ### VOID_SET_PERM_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetPermissionResponseProto VOID_SET_PERM_RESPONSE

  - ### VOID_SET_OWNER_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetOwnerResponseProto VOID_SET_OWNER_RESPONSE

  - ### VOID_ADD_BLOCK_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AbandonBlockResponseProto VOID_ADD_BLOCK_RESPONSE

  - ### VOID_REP_BAD_BLOCK_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ReportBadBlocksResponseProto VOID_REP_BAD_BLOCK_RESPONSE

  - ### VOID_CONCAT_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ConcatResponseProto VOID_CONCAT_RESPONSE

  - ### VOID_RENAME2_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.Rename2ResponseProto VOID_RENAME2_RESPONSE

  - ### VOID_GETLISTING_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetListingResponseProto VOID_GETLISTING_RESPONSE

  - ### VOID_GETBATCHEDLISTING_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBatchedListingResponseProto VOID_GETBATCHEDLISTING_RESPONSE

  - ### VOID_RENEWLEASE_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenewLeaseResponseProto VOID_RENEWLEASE_RESPONSE

  - ### VOID_REFRESHNODES_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RefreshNodesResponseProto VOID_REFRESHNODES_RESPONSE

  - ### VOID_FINALIZEUPGRADE_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FinalizeUpgradeResponseProto VOID_FINALIZEUPGRADE_RESPONSE

  - ### VOID_METASAVE_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MetaSaveResponseProto VOID_METASAVE_RESPONSE

  - ### VOID_GETFILEINFO_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileInfoResponseProto VOID_GETFILEINFO_RESPONSE

  - ### VOID_GETLOCATEDFILEINFO_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLocatedFileInfoResponseProto VOID_GETLOCATEDFILEINFO_RESPONSE

  - ### VOID_GETFILELINKINFO_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileLinkInfoResponseProto VOID_GETFILELINKINFO_RESPONSE

  - ### VOID_SETQUOTA_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetQuotaResponseProto VOID_SETQUOTA_RESPONSE

  - ### VOID_FSYNC_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FsyncResponseProto VOID_FSYNC_RESPONSE

  - ### VOID_SETTIMES_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetTimesResponseProto VOID_SETTIMES_RESPONSE

  - ### VOID_CREATESYMLINK_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSymlinkResponseProto VOID_CREATESYMLINK_RESPONSE

  - ### VOID_UPDATEPIPELINE_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdatePipelineResponseProto VOID_UPDATEPIPELINE_RESPONSE

  - ### VOID_CANCELDELEGATIONTOKEN_RESPONSE

    protected static final org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto VOID_CANCELDELEGATIONTOKEN_RESPONSE

  - ### VOID_SETBALANCERBANDWIDTH_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetBalancerBandwidthResponseProto VOID_SETBALANCERBANDWIDTH_RESPONSE

  - ### VOID_SETACL_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.SetAclResponseProto VOID_SETACL_RESPONSE

  - ### VOID_MODIFYACLENTRIES_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.ModifyAclEntriesResponseProto VOID_MODIFYACLENTRIES_RESPONSE

  - ### VOID_REMOVEACLENTRIES_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclEntriesResponseProto VOID_REMOVEACLENTRIES_RESPONSE

  - ### VOID_REMOVEDEFAULTACL_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveDefaultAclResponseProto VOID_REMOVEDEFAULTACL_RESPONSE

  - ### VOID_REMOVEACL_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclResponseProto VOID_REMOVEACL_RESPONSE

  - ### VOID_SETXATTR_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.SetXAttrResponseProto VOID_SETXATTR_RESPONSE

  - ### VOID_REMOVEXATTR_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.RemoveXAttrResponseProto VOID_REMOVEXATTR_RESPONSE

  - ### VOID_CHECKACCESS_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CheckAccessResponseProto VOID_CHECKACCESS_RESPONSE

  - ### VOID_SATISFYSTORAGEPOLICY_RESPONSE

    protected static final org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SatisfyStoragePolicyResponseProto VOID_SATISFYSTORAGEPOLICY_RESPONSE

- ## Constructor Details

  - ### ClientNamenodeProtocolServerSideTranslatorPB

    public ClientNamenodeProtocolServerSideTranslatorPB(org.apache.hadoop.hdfs.protocol.ClientProtocol server) throws IOException
    Constructor.
    Parameters:
      `server` - - the NN server
    Throws:
      `IOException`

- ## Method Details

  - ### getBlockLocations

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBlockLocationsResponseProto getBlockLocations(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBlockLocationsRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getBlockLocations` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getServerDefaults

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetServerDefaultsResponseProto getServerDefaults(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetServerDefaultsRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getServerDefaults` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### create

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateResponseProto create(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `create` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### append

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AppendResponseProto append(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AppendRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `append` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setReplication

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetReplicationResponseProto setReplication(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetReplicationRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setReplication` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setPermission

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetPermissionResponseProto setPermission(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetPermissionRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setPermission` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setOwner

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetOwnerResponseProto setOwner(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetOwnerRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setOwner` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### abandonBlock

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AbandonBlockResponseProto abandonBlock(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AbandonBlockRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `abandonBlock` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### addBlock

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddBlockResponseProto addBlock(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddBlockRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `addBlock` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getAdditionalDatanode

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetAdditionalDatanodeResponseProto getAdditionalDatanode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetAdditionalDatanodeRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getAdditionalDatanode` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### complete

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CompleteResponseProto complete(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CompleteRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `complete` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### reportBadBlocks

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ReportBadBlocksResponseProto reportBadBlocks(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ReportBadBlocksRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `reportBadBlocks` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### concat

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ConcatResponseProto concat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ConcatRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `concat` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### rename

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameResponseProto rename(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `rename` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### rename2

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.Rename2ResponseProto rename2(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.Rename2RequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `rename2` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### truncate

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.TruncateResponseProto truncate(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.TruncateRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `truncate` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### delete

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteResponseProto delete(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `delete` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### mkdirs

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MkdirsResponseProto mkdirs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MkdirsRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `mkdirs` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getListing

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetListingResponseProto getListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetListingRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getListing` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getBatchedListing

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBatchedListingResponseProto getBatchedListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetBatchedListingRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getBatchedListing` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### renewLease

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenewLeaseResponseProto renewLease(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenewLeaseRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `renewLease` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### recoverLease

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RecoverLeaseResponseProto recoverLease(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RecoverLeaseRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `recoverLease` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### restoreFailedStorage

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RestoreFailedStorageResponseProto restoreFailedStorage(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RestoreFailedStorageRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `restoreFailedStorage` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getFsStats

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsStatsResponseProto getFsStats(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsStatusRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getFsStats` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getFsReplicatedBlockStats

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsReplicatedBlockStatsResponseProto getFsReplicatedBlockStats(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsReplicatedBlockStatsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getFsReplicatedBlockStats` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getFsECBlockGroupStats

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsECBlockGroupStatsResponseProto getFsECBlockGroupStats(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFsECBlockGroupStatsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getFsECBlockGroupStats` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDatanodeReport

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeReportResponseProto getDatanodeReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeReportRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDatanodeReport` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDatanodeStorageReport

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeStorageReportResponseProto getDatanodeStorageReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDatanodeStorageReportRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDatanodeStorageReport` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getPreferredBlockSize

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetPreferredBlockSizeResponseProto getPreferredBlockSize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetPreferredBlockSizeRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getPreferredBlockSize` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setSafeMode

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetSafeModeResponseProto setSafeMode(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetSafeModeRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setSafeMode` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### saveNamespace

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SaveNamespaceResponseProto saveNamespace(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SaveNamespaceRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `saveNamespace` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### rollEdits

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollEditsResponseProto rollEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollEditsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `rollEdits` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### refreshNodes

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RefreshNodesResponseProto refreshNodes(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RefreshNodesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `refreshNodes` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### finalizeUpgrade

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FinalizeUpgradeResponseProto finalizeUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FinalizeUpgradeRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `finalizeUpgrade` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### upgradeStatus

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpgradeStatusResponseProto upgradeStatus(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpgradeStatusRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `upgradeStatus` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### rollingUpgrade

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollingUpgradeResponseProto rollingUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RollingUpgradeRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `rollingUpgrade` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listCorruptFileBlocks

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCorruptFileBlocksResponseProto listCorruptFileBlocks(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCorruptFileBlocksRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listCorruptFileBlocks` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### metaSave

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MetaSaveResponseProto metaSave(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MetaSaveRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `metaSave` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getFileInfo

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileInfoResponseProto getFileInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileInfoRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getFileInfo` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getLocatedFileInfo

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLocatedFileInfoResponseProto getLocatedFileInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLocatedFileInfoRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getLocatedFileInfo` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getFileLinkInfo

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileLinkInfoResponseProto getFileLinkInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetFileLinkInfoRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getFileLinkInfo` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getContentSummary

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetContentSummaryResponseProto getContentSummary(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetContentSummaryRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getContentSummary` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setQuota

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetQuotaResponseProto setQuota(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetQuotaRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setQuota` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### fsync

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FsyncResponseProto fsync(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.FsyncRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `fsync` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setTimes

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetTimesResponseProto setTimes(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetTimesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setTimes` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### createSymlink

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSymlinkResponseProto createSymlink(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSymlinkRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `createSymlink` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getLinkTarget

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLinkTargetResponseProto getLinkTarget(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetLinkTargetRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getLinkTarget` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### updateBlockForPipeline

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdateBlockForPipelineResponseProto updateBlockForPipeline(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdateBlockForPipelineRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `updateBlockForPipeline` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### updatePipeline

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdatePipelineResponseProto updatePipeline(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UpdatePipelineRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `updatePipeline` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDelegationToken

    public org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenResponseProto getDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.GetDelegationTokenRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDelegationToken` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### renewDelegationToken

    public org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenResponseProto renewDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.RenewDelegationTokenRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `renewDelegationToken` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### cancelDelegationToken

    public org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenResponseProto cancelDelegationToken(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.security.proto.SecurityProtos.CancelDelegationTokenRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `cancelDelegationToken` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setBalancerBandwidth

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetBalancerBandwidthResponseProto setBalancerBandwidth(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetBalancerBandwidthRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setBalancerBandwidth` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getDataEncryptionKey

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDataEncryptionKeyResponseProto getDataEncryptionKey(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetDataEncryptionKeyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getDataEncryptionKey` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### createSnapshot

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSnapshotResponseProto createSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CreateSnapshotRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `createSnapshot` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### deleteSnapshot

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteSnapshotResponseProto deleteSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DeleteSnapshotRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `deleteSnapshot` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### allowSnapshot

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AllowSnapshotResponseProto allowSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AllowSnapshotRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `allowSnapshot` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### disallowSnapshot

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DisallowSnapshotResponseProto disallowSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.DisallowSnapshotRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `disallowSnapshot` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### renameSnapshot

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameSnapshotResponseProto renameSnapshot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RenameSnapshotRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `renameSnapshot` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getSnapshottableDirListing

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshottableDirListingResponseProto getSnapshottableDirListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshottableDirListingRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getSnapshottableDirListing` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getSnapshotListing

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotListingResponseProto getSnapshotListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotListingRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getSnapshotListing` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getSnapshotDiffReport

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportResponseProto getSnapshotDiffReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getSnapshotDiffReport` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getSnapshotDiffReportListing

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportListingResponseProto getSnapshotDiffReportListing(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSnapshotDiffReportListingRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getSnapshotDiffReportListing` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### isFileClosed

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.IsFileClosedResponseProto isFileClosed(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.IsFileClosedRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `isFileClosed` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### addCacheDirective

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCacheDirectiveResponseProto addCacheDirective(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCacheDirectiveRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `addCacheDirective` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### modifyCacheDirective

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCacheDirectiveResponseProto modifyCacheDirective(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCacheDirectiveRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `modifyCacheDirective` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeCacheDirective

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCacheDirectiveResponseProto removeCacheDirective(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCacheDirectiveRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeCacheDirective` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listCacheDirectives

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCacheDirectivesResponseProto listCacheDirectives(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCacheDirectivesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listCacheDirectives` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### addCachePool

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCachePoolResponseProto addCachePool(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.AddCachePoolRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `addCachePool` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### modifyCachePool

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCachePoolResponseProto modifyCachePool(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ModifyCachePoolRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `modifyCachePool` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeCachePool

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCachePoolResponseProto removeCachePool(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.RemoveCachePoolRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeCachePool` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listCachePools

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCachePoolsResponseProto listCachePools(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListCachePoolsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listCachePools` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### modifyAclEntries

    public org.apache.hadoop.hdfs.protocol.proto.AclProtos.ModifyAclEntriesResponseProto modifyAclEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.ModifyAclEntriesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `modifyAclEntries` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeAclEntries

    public org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclEntriesResponseProto removeAclEntries(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclEntriesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeAclEntries` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeDefaultAcl

    public org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveDefaultAclResponseProto removeDefaultAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveDefaultAclRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeDefaultAcl` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeAcl

    public org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclResponseProto removeAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.RemoveAclRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeAcl` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setAcl

    public org.apache.hadoop.hdfs.protocol.proto.AclProtos.SetAclResponseProto setAcl(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.SetAclRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setAcl` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getAclStatus

    public org.apache.hadoop.hdfs.protocol.proto.AclProtos.GetAclStatusResponseProto getAclStatus(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.AclProtos.GetAclStatusRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getAclStatus` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### createEncryptionZone

    public org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.CreateEncryptionZoneResponseProto createEncryptionZone(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.CreateEncryptionZoneRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `createEncryptionZone` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getEZForPath

    public org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.GetEZForPathResponseProto getEZForPath(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.GetEZForPathRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getEZForPath` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listEncryptionZones

    public org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListEncryptionZonesResponseProto listEncryptionZones(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListEncryptionZonesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listEncryptionZones` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### reencryptEncryptionZone

    public org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ReencryptEncryptionZoneResponseProto reencryptEncryptionZone(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ReencryptEncryptionZoneRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `reencryptEncryptionZone` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listReencryptionStatus

    public org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListReencryptionStatusResponseProto listReencryptionStatus(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.EncryptionZonesProtos.ListReencryptionStatusRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listReencryptionStatus` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.SetErasureCodingPolicyResponseProto setErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.SetErasureCodingPolicyRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setErasureCodingPolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### unsetErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.UnsetErasureCodingPolicyResponseProto unsetErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.UnsetErasureCodingPolicyRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `unsetErasureCodingPolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getECTopologyResultForPolicies

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetECTopologyResultForPoliciesResponseProto getECTopologyResultForPolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetECTopologyResultForPoliciesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getECTopologyResultForPolicies` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setXAttr

    public org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.SetXAttrResponseProto setXAttr(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.SetXAttrRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setXAttr` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getXAttrs

    public org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.GetXAttrsResponseProto getXAttrs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.GetXAttrsRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getXAttrs` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listXAttrs

    public org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.ListXAttrsResponseProto listXAttrs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.ListXAttrsRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listXAttrs` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeXAttr

    public org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.RemoveXAttrResponseProto removeXAttr(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.XAttrProtos.RemoveXAttrRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeXAttr` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### checkAccess

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CheckAccessResponseProto checkAccess(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.CheckAccessRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `checkAccess` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### setStoragePolicy

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetStoragePolicyResponseProto setStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SetStoragePolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `setStoragePolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### unsetStoragePolicy

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UnsetStoragePolicyResponseProto unsetStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.UnsetStoragePolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `unsetStoragePolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getStoragePolicy

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePolicyResponseProto getStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getStoragePolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getStoragePolicies

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePoliciesResponseProto getStoragePolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetStoragePoliciesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getStoragePolicies` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getCurrentEditLogTxid

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetCurrentEditLogTxidResponseProto getCurrentEditLogTxid(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetCurrentEditLogTxidRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getCurrentEditLogTxid` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getEditsFromTxid

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEditsFromTxidResponseProto getEditsFromTxid(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEditsFromTxidRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getEditsFromTxid` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getErasureCodingPolicies

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPoliciesResponseProto getErasureCodingPolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPoliciesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getErasureCodingPolicies` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getErasureCodingCodecs

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingCodecsResponseProto getErasureCodingCodecs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingCodecsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getErasureCodingCodecs` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### addErasureCodingPolicies

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.AddErasureCodingPoliciesResponseProto addErasureCodingPolicies(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.AddErasureCodingPoliciesRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `addErasureCodingPolicies` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### removeErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.RemoveErasureCodingPolicyResponseProto removeErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.RemoveErasureCodingPolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `removeErasureCodingPolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### enableErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.EnableErasureCodingPolicyResponseProto enableErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.EnableErasureCodingPolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `enableErasureCodingPolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### disableErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.DisableErasureCodingPolicyResponseProto disableErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.DisableErasureCodingPolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `disableErasureCodingPolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getErasureCodingPolicy

    public org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPolicyResponseProto getErasureCodingPolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ErasureCodingProtos.GetErasureCodingPolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getErasureCodingPolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getQuotaUsage

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetQuotaUsageResponseProto getQuotaUsage(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetQuotaUsageRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getQuotaUsage` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### listOpenFiles

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListOpenFilesResponseProto listOpenFiles(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ListOpenFilesRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `listOpenFiles` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### msync

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MsyncResponseProto msync(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.MsyncRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `msync` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### satisfyStoragePolicy

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SatisfyStoragePolicyResponseProto satisfyStoragePolicy(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.SatisfyStoragePolicyRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `satisfyStoragePolicy` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getHAServiceState

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.HAServiceStateResponseProto getHAServiceState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.HAServiceStateRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getHAServiceState` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getSlowDatanodeReport

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSlowDatanodeReportResponseProto getSlowDatanodeReport(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetSlowDatanodeReportRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getSlowDatanodeReport` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getEnclosingRoot

    public org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEnclosingRootResponseProto getEnclosingRoot(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.GetEnclosingRootRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getEnclosingRoot` in interface `org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos.ClientNamenodeProtocol.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`